--
-- JohnDeere2030
--
-- @author  Jack
-- @date  01/05/09
--
-- Copyright (C) Jack

JohnDeere2030 = {};

function JohnDeere2030.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function JohnDeere2030:load(xmlFile)
end;

function JohnDeere2030:keyEvent(unicode, sym, modifier, isDown)
end;

function JohnDeere2030:update(dt)

	if g_currentMission.environment ~= nil and g_currentMission.environment.dayNightCycle and
              (g_currentMission.environment.dayTime > (20.5*1000*60*60) or g_currentMission.environment.dayTime < (5.5*1000*60*60)) and
              not self.lightsActive and self.isHired and not self.steeringEnabled then
		self.lightsActive = true;
	end;

	if not self.isHired and self.lightsActive and not self.isEntered or not g_currentMission.environment.dayNightCycle then
		self.lightsActive = false;
	end;


    for k, light in pairs(self.lights) do
        setVisibility(light, self.lightsActive);
    end; 

end;

function JohnDeere2030:draw()
end;

function JohnDeere2030:onEnter()
end;

function JohnDeere2030:onLeave()
end;

function JohnDeere2030:delete()
end;

function JohnDeere2030:mouseEvent(posX, posY, isDown, isUp, button)
end;






